summaryrefslogtreecommitdiffstats
path: root/sources/target_skeleton
diff options
context:
space:
mode:
authorEric Andersen <andersen@codepoet.org>2003-01-18 22:40:26 +0000
committerEric Andersen <andersen@codepoet.org>2003-01-18 22:40:26 +0000
commitb1c7fa327e4d426a71c6bd40435668830bbac513 (patch)
tree19c71705501ef8feabca844a681e405f44a4a65c /sources/target_skeleton
parent075633e2ca00434f723afc49e1fece21b0676726 (diff)
downloadbuildroot-novena-b1c7fa327e4d426a71c6bd40435668830bbac513.tar.gz
buildroot-novena-b1c7fa327e4d426a71c6bd40435668830bbac513.zip
Add a default config script
Diffstat (limited to 'sources/target_skeleton')
-rwxr-xr-xsources/target_skeleton/etc/init.d/S30pcmcia20
1 files changed, 20 insertions, 0 deletions
diff --git a/sources/target_skeleton/etc/init.d/S30pcmcia b/sources/target_skeleton/etc/init.d/S30pcmcia
new file mode 100755
index 000000000..a3906c3f4
--- /dev/null
+++ b/sources/target_skeleton/etc/init.d/S30pcmcia
@@ -0,0 +1,20 @@
+# Select the module that is correct for your hardware
+
+PCIC=yenta_socket
+#PCIC=i82365
+#PCIC=tcic
+#PCIC=sa1100_cs
+
+# Load up all the pcmcia modules
+/sbin/modprobe pcmcia_core
+/sbin/modprobe $PCIC
+/sbin/modprobe ds
+
+if [ $? != 0 ] ; then
+ echo "pcmcia support not detected";
+ exit 0;
+fi
+
+/sbin/cardmgr -m /lib/modules
+
+exit 0;